> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update firm user mapping

> Updates a user mapping in the firm associated with the authenticated client.



## OpenAPI

````yaml /openapi.json put /firmusers/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /firmusers/{id}:
    put:
      tags:
        - Firm
      summary: Update firm user mapping
      description: >-
        Updates a user mapping in the firm associated with the authenticated
        client.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/FirmUserDto'
              description: >-
                Represents a mapping between a user and a staff member in a
                firm.
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/FirmUserDto'
              description: >-
                Represents a mapping between a user and a staff member in a
                firm.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/FirmUserDto'
              description: >-
                Represents a mapping between a user and a staff member in a
                firm.
      responses:
        '202':
          description: >-
            When request is accepted. Returns a hypermedia 'Link' object of the
            user to be updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
        '400':
          description: When staff or user has not been provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: When staff does not belong to the firm.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When 'FirmUser' does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    FirmUserDto:
      type: object
      properties:
        userId:
          type: string
          description: Unique identifier of the associated user.
          nullable: true
          example: b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2
        staffId:
          type: string
          description: Unique identifier of the associated staff member..
          nullable: true
          example: 750eb5c5-ac0b-7d11-4997-e0ce9d8896c8
      additionalProperties: false
      description: Represents a mapping between a user and a staff member in a firm.
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````